Name:           rosa-gsettings-desktop-schemas
Version:        3.22.0.5
Release:        1
Summary:        ROSA schemas for GNOME

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://rosalinux.ru
Source0:        %{name}-%{version}.tar.xz

Requires:       glib2.0-common
Requires:       gsettings-desktop-schemas

BuildArch:      noarch

%description
This contains a collection ROSA schemas for GNOME.

%package theme
Summary:	ROSA schemas for GNOME theme
Group:          Graphical desktop/GNOME

Requires:	la-capitaine-icon-theme
Requires:	pixelfun3-cursor-theme
Requires:	gnome-shell-theme-korora

%description theme
This contains a collection ROSA schemas for GNOME
theme. Includeing GNOME Shell, GTK 3 and icons.

%package desktop
Summary:	ROSA schemas for GNOME Desktop (nautilus)
Group:          Graphical desktop/GNOME

%description desktop
This contains a collection ROSA schemas for GNOME Desktop
(nautilus). Includeing backgound, icons on desktop and icon
size.


%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 644 *.override \
        %{buildroot}%{_datadir}/glib-2.0/schemas/


# let it be, to certain
%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post theme
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun theme
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans theme
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post desktop
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun desktop
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans desktop
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :



%files
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.override

%files theme
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.interface.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.preferences.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.preferences.editor.gschema.override

%files desktop
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.override

%changelog

* Wed Jun 28 2017 tremod <negry.m@yandex.ru> 3.22.0.5-1
- (d7f6de0) Update to 3.22.5


